ClasspathMatcher (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.util.ClasspathMatcher class
Date: 2021-11-09

net.sourceforge.jnlp.util

## Class ClasspathMatcher

- java.lang.Object
- - net.sourceforge.jnlp.util.ClasspathMatcher

-     public class ClasspathMatcher
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClasspathMatcher.ClasspathMatchers`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PATH_DELIMITER`
    `static java.lang.String` | `PORT_DELIMITER`
    `static java.lang.String` | `PROTOCOL_DELIMITER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClasspathMatcher` | `compile(java.lang.String source)`
    `boolean` | `match(java.net.URL url)`
    `boolean` | `matchWithoutPath(java.net.URL url)`
    `boolean` | `matchWithPath(java.net.URL url)`
    `static java.util.regex.Pattern` | `sourceToRegEx(java.lang.String s)`
    `static java.lang.String` | `sourceToRegExString(java.lang.String s)`
    `static java.lang.String[]` | `splitOnFirst(java.lang.String source, java.lang.String delimiter)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROTOCOL_DELIMITER

          public static final java.lang.String PROTOCOL_DELIMITER

      See Also:
        Constant Field Values

    - #### PATH_DELIMITER

          public static final java.lang.String PATH_DELIMITER

      See Also:
        Constant Field Values

    - #### PORT_DELIMITER

          public static final java.lang.String PORT_DELIMITER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compile

          public static ClasspathMatcher compile(java.lang.String source)

    - #### match

          public boolean match(java.net.URL url)

    - #### matchWithPath

          public boolean matchWithPath(java.net.URL url)

    - #### matchWithoutPath

          public boolean matchWithoutPath(java.net.URL url)

    - #### splitOnFirst

          public static java.lang.String[] splitOnFirst(java.lang.String source,
                                                        java.lang.String delimiter)

    - #### sourceToRegExString

          public static java.lang.String sourceToRegExString(java.lang.String s)

    - #### sourceToRegEx

          public static java.util.regex.Pattern sourceToRegEx(java.lang.String s)

Submit a bug or feature